# $Revision: 1.15.2.1 $, $Date: 2006/12/27 10:40:42 $
Summary:	Atomic Tanks - a game similiar to Scorched Earth and Worms
Summary(pl):	Atomic Tanks - gra podobna do Scorched Earth oraz Worms
Name:		atanks
Version:	1.1.0
Release:	4
Epoch:		1
License:	GPL
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/atanks/%{name}-%{version}.tar.gz
# Source0-md5:	27e47c942dd95f1b4ac72216c8f30d30
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-datadir.patch
URL:		http://atanks.sourceforge.net/
BuildRequires:	allegro-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Atomic Tanks is a Scorched Earth clone similar to the Worms series of
games. Annihilate the other tanks to earn money, then spend it on
bigger and better shields and weapons to wipe out the opposition.
Features a wide array of weapons, AI players, destructible landscape,
weather, parachutes, teleports and a wide range of other features.

%description -l pl
Atomic Tanks to klon Scorched Earth, podobny do serii gier ,,Worms''.
Trzeba zniszczy inne czogi eby zarobi pienidze, potem wyda je na
wiksze i lepsze osony i bro eby zmiady przeciwnikw. Zaletami
gry s: duy asortyment broni, gracze sterowani przez komputer,
niszczalny teren, rne warunki pogodowe, spadochrony, teleporty i
inne.

%prep
%setup -q -n %{name}
%patch0 -p1

%build
%{__make} \
	DATA_DIR="%{_datadir}/%{name}" \
	CFLAGS="%{rpmcflags} -Iinclude"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}} \
	$RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

install *.dat $RPM_BUILD_ROOT%{_datadir}/%{name}
install {credits,gloat,instr,revenge}.txt $RPM_BUILD_ROOT%{_datadir}/%{name}
install atanks $RPM_BUILD_ROOT%{_bindir}

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS Changelog credits.txt Help.txt instr.txt README readme.linux tanks.txt TODO
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: atanks.spec,v $
Revision 1.15.2.1  2006/12/27 10:40:42  ankry
- kill gcc 3.4 patch

Revision 1.15  2006/12/27 10:37:26  ankry
- rel. 4

Revision 1.14  2006/11/07 22:21:10  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.13  2005/05/16 06:01:40  jareq
- gpm-friendly Source0 URL

Revision 1.12  2004/10/01 11:01:43  paladine
- rel 3 for fixed desktop file

Revision 1.11  2004/09/11 18:23:54  wolf
- rel 2

Revision 1.10  2004/06/28 21:42:25  grzegol
- added gcc34 patch

Revision 1.9  2004/02/24 21:53:16  adamg
- fixed group

Revision 1.8  2004/02/11 19:20:12  undefine
- don't use /usr/games, default prefix is enougth

Revision 1.7  2004/02/05 23:29:37  yogib
- updated to 1.1.0

Revision 1.6  2003/11/27 14:41:02  grzegol
- updated to 1.0.0

Revision 1.5  2003/10/14 10:13:03  ankry
- better pl

Revision 1.4  2003/10/13 19:32:11  qboosh
- formatting

Revision 1.3  2003/09/13 10:39:16  grzegol
- added missing files
- added CFLAGS

Revision 1.2  2003/09/13 09:46:07  grzegol
- updated to 1.0.0-rc2
- added .desktop file and icon
- removed /usr/X11R6 prefix
- moved data files to /usr/share/games

Revision 1.1  2003/09/10 08:01:54  zagrodzki
- initial release
